# modules/uwindows/UW_Charset.c File Reference

`#include <mios32.h>`
`#include <string.h>`
`#include "UWindows.h"`
`#include "UW_CharSet.h"`

## Functions
void | CharSet_StrCat (u8 *str1, u8 len1, u8 *str2, u8 len2)
void | BackSpace_Click (void *pstrItem)
void | GroupSet_Click (void *pstrItem)
void | Prev_Click (void *pstrItem)
void | Next_Click (void *pstrItem)
void | CharSet_Click (void *pstrItem)
void | CharSet_Show (UW_Window *CurrentEditBox)
void | CharSet_Hide (u8 Apply)
void | BtnOkClick (UW_Window *pWindow)
void | BtnCancelClick (UW_Window *pWindow)
void | CharSet_Init (void)
## Variables
UW_Window | CharSetWindow
UW_Window | EditBox
UW_Window * | PtrCurrentEditBox
UW_Window | CharNext
UW_Window | CharPrev
UW_Window | CharAlpha
UW_Window | CharNum
UW_Window | CharChr
UW_Window | CharCaps
UW_Window | CharBkSpc
UW_Window | CharSpace
UW_Window | BtnOk
UW_Window | BtnCancel
const u8 | chargroups [] = " < A a 1 @ <- > OKExt"
const u8 | charset [] = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890+-*/=_@%. "
UW_Window | CharSet [CHAR_SET_LENGTH]
u8 | EditCaption [100]
u8 | GroupIndex

## Function Documentation

void BackSpace_Click | ( | void * | pstrItem | ) |

void BtnCancelClick | ( | UW_Window * | pWindow | ) |

Here is the call graph for this function:

void BtnOkClick | ( | UW_Window * | pWindow | ) |

Here is the call graph for this function:

void CharSet_Click | ( | void * | pstrItem | ) |

Here is the call graph for this function:

void CharSet_Hide | ( | u8 | Apply | ) |

void CharSet_Init | ( | void |  | ) |

Here is the call graph for this function:

void CharSet_Show | ( | UW_Window * | CurrentEditBox | ) |

void CharSet_StrCat | ( | u8 * | str1,
|  | u8 | len1,
|  | u8 * | str2,
|  | u8 | len2 |
| ) |  |  |

void GroupSet_Click | ( | void * | pstrItem | ) |

void Next_Click | ( | void * | pstrItem | ) |

void Prev_Click | ( | void * | pstrItem | ) |

## Variable Documentation

UW_Window BtnCancel

UW_Window BtnOk

UW_Window CharAlpha

UW_Window CharBkSpc

UW_Window CharCaps

UW_Window CharChr

const u8 chargroups[] = " < A a 1 @ <- > OKExt"

UW_Window CharNext

UW_Window CharNum

UW_Window CharPrev

UW_Window CharSet[CHAR_SET_LENGTH]

const u8 charset[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890+-*/=_@%. "

UW_Window CharSetWindow

UW_Window CharSpace

UW_Window EditBox

u8 EditCaption[100]

u8 GroupIndex

UW_Window* PtrCurrentEditBox